Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui
[Java] Class GroovyMain

    java.lang.Object
      groovy.ui.GroovyMain

    public class GroovyMain
    extends Object

A Command line to execute groovy.

Authors:
  Jeremy Rayner
  Yuri Schimke

Version:
  \$Revision: 21119 \$

Method Summary
`File` | `huntForTheScriptFile(String input)` Hunt for the script file, doesn't bother if it is named precisely.
`static void` | `main(String[] args)` Main CLI interface.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### huntForTheScriptFile

    public File huntForTheScriptFile(String input)

  Hunt for the script file, doesn't bother if it is named precisely. Tries in this order: - actual supplied name - name.groovy - name.gvy - name.gy - name.gsh

### main

    public static void main(String[] args)

  Main CLI interface.
  Parameters:
    `args` - all command line args.

Copyright © 2003-2010 The Codehaus. All rights reserved.